[package]
authors = ["juliancoffee <lightdarkdaughter@gmail.com>", "Rémy Phelipot"]
edition = "2018"
name = "veloren-voxygen-i18n"
description = "Crate for internalization and diagnostic of existing localizations."
version = "0.10.0"

[[bin]]
name = "i18n-check"
required-features = ["bin"]

[dependencies]
# Assets
hashbrown = { version = "0.11", features = ["serde", "nightly"] }
common-assets = {package = "veloren-common-assets", path = "../../common/assets"}
deunicode = "1.0"
serde = { version = "1.0", features = ["derive"] }
tracing = "0.1"
# Diagnostic
ron = "0.6"
git2 = { version = "0.13", default-features = false, optional = true }

# Binary
clap = { version = "2.33", features = ["suggestions"], default-features = false, optional = true }

[dev-dependencies]
git2 = { version = "0.13", default-features = false }

[features]
bin = ["git2", "clap"]
